APISnippets
Update snippet
Update a snippet. Requires the Pro plan and the snippets:write scope.
PATCH
/snippets/{id}curl -X PATCH "https://productlane.com/api/v2/snippets/{id}" \
-H "Authorization: Bearer $PRODUCTLANE_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"title": "string",
"html": "string",
"folder_id": "string"
}'Authorization
AuthorizationstringheaderrequiredBearer authentication header of the form
Bearer <token>, where<token>is your auth token.
Parameters
idstringpathrequired
Body
application/json
titlestringhtmlstringfolder_idstring | nullSnippet folder id, or
nullfor uncategorized. Fetch folders viaGET /snippets/folders.
Response
application/json
Successful response
idstringrequiredtitlestringrequiredhtmlstringrequiredfolder_idstring | nullrequiredcreated_atstringrequiredupdated_atstringrequired
{
"id": "string",
"title": "string",
"html": "string",
"folder_id": "string",
"created_at": "string",
"updated_at": "string"
}